Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/workspaces 200 PagedResultOfWorkspaceDto
POST /api/workspaces 200 WorkspaceDto
DELETE /api/workspaces/{id} 200
GET /api/workspaces/{id} 200 WorkspaceDto
PATCH /api/workspaces/{id} 200 WorkspaceDto
DELETE /api/workspaces/{id}/files 200
GET /api/workspaces/{id}/files 200 AgentRunFileInfo[]
GET /api/workspaces/{id}/files/content 200 AgentRunFileContent
PUT /api/workspaces/{id}/files/content 200
GET /api/workspaces/{id}/files/download 200
GET /api/workspaces/{id}/runs 200 PagedResultOfWorkspaceSessionDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

AgentRunFileContent

PropertyTypeDescription
path string
sizeBytes int64
isBinary boolean
truncated boolean
text null,string
modifiedAtUtc date-time

PagedResultOfWorkspaceDto

PropertyTypeDescription
items* WorkspaceDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfWorkspaceSessionDto

PropertyTypeDescription
items* WorkspaceSessionDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

WorkspaceDto

PropertyTypeDescription
id int64
guid uuid
name string
description null,string
projectId int64
projectName null,string
substrate WorkspaceSubstrate
rootRef string
status WorkspaceStatus
ownerName null,string
policyJson null,string
createdAtUtc date-time
updatedAtUtc date-time